## ros-humble-derived-object-msgs 4.0.0

=== CMakeLists.txt ===
project(derived_object_msgs)

find_package(ros_environment REQUIRED)

set(ROS_VERSION $ENV{ROS_VERSION})

set(MSG_FILES
  "Lane.msg"
  "LaneModels.msg"
  "Object.msg"
  "ObjectArray.msg"
  "ObjectWithCovariance.msg"
  "ObjectWithCovarianceArray.msg"
  "SolidPrimitiveWithCovariance.msg"
)

if(${ROS_VERSION} EQUAL 1)

  cmake_minimum_required(VERSION 2.8.3)

  # Default to C++11
  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 11)
  endif()

  find_package(catkin REQUIRED
    COMPONENTS
      geometry_msgs
      message_generation
      shape_msgs
      std_msgs
  )

  add_message_files(FILES
    ${MSG_FILES}
    DIRECTORY msg
  )

  generate_messages(
    DEPENDENCIES
      geometry_msgs
      shape_msgs
      std_msgs
  )

  catkin_package(
    CATKIN_DEPENDS message_runtime
  )

elseif(${ROS_VERSION} EQUAL 2)

  cmake_minimum_required(VERSION 3.5)

  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
    set(CMAKE_CXX_STANDARD 14)
  endif()

  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
  endif()

  find_package(ament_cmake REQUIRED)
  find_package(builtin_interfaces REQUIRED)
  find_package(geometry_msgs REQUIRED)
  find_package(rosidl_default_generators REQUIRED)
  find_package(shape_msgs REQUIRED)
  find_package(std_msgs REQUIRED)

  # Apend "msg/" to each file name
  set(TEMP_LIST "")
  foreach(MSG_FILE ${MSG_FILES})
    list(APPEND TEMP_LIST "msg/${MSG_FILE}")
  endforeach()
  set(MSG_FILES ${TEMP_LIST})

  rosidl_generate_interfaces(${PROJECT_NAME}
    ${MSG_FILES}
    DEPENDENCIES
      builtin_interfaces
      geometry_msgs
      shape_msgs
      std_msgs
    ADD_LINTER_TESTS
  )

  ament_export_dependencies(rosidl_default_runtime)

  if(BUILD_TESTING)
    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()
  endif()

  ament_package()

endif()

=== debian/changelog ===
ros-humble-derived-object-msgs (4.0.0-1jammy) jammy; urgency=high



 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Mon, 24 Apr 2023 04:00:00 -0000

ros-humble-derived-object-msgs (3.3.0-1jammy) jammy; urgency=high



 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Fri, 18 Jun 2021 04:00:00 -0000

ros-humble-derived-object-msgs (3.2.0-1jammy) jammy; urgency=high



 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Fri, 12 Mar 2021 05:00:00 -0000

ros-humble-derived-object-msgs (3.1.0-1jammy) jammy; urgency=high

  * Remove CipvTrack message and radar_msgs dependency (#62 <https://github.com/astuff/astuff_sensor_msgs/issues/62>)
  * Contributors: icolwell-as

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Wed, 17 Jun 2020 04:00:00 -0000

ros-humble-derived-object-msgs (3.0.1-1jammy) jammy; urgency=high

  * Adding ros_environment as required package to all packages.
  * Hybridize derived_object_msgs. (#44 <https://github.com/astuff/astuff_sensor_msgs/issues/44>)
  * Adding hybrid CI.
  * Updating package.xml files for ROS2 rosdep.
  * Adding message migration rules.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Thu, 23 Jan 2020 05:00:00 -0000

ros-humble-derived-object-msgs (2.3.1-1jammy) jammy; urgency=high

  * Merge pull request #31 <https://github.com/astuff/astuff_sensor_msgs/issues/31> from astuff/maint/add_urls
  * Adding URLs to package.xml files.
  * Contributors: Daniel-Stanek, Joshua Whitley

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Fri, 07 Dec 2018 05:00:00 -0000

ros-humble-derived-object-msgs (2.3.0-1jammy) jammy; urgency=high



 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Thu, 04 Oct 2018 04:00:00 -0000

ros-humble-derived-object-msgs (2.2.2-1jammy) jammy; urgency=high



 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Thu, 30 Aug 2018 04:00:00 -0000

ros-humble-derived-object-msgs (2.2.1-1jammy) jammy; urgency=high

  * Renamed perception_msgs to derived_object_msgs for clarification.
  * Moving perception_msgs from platform_automation_msgs.
  * Contributors: Joe Buckner, Joshua Whitley

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Wed, 08 Aug 2018 04:00:00 -0000

=== debian/control ===
Source: ros-humble-derived-object-msgs
Section: misc
Priority: optional
Maintainer: AutonomouStuff Software Development Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-ros-environment, ros-humble-rosidl-default-generators, ros-humble-shape-msgs, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: http://wiki.ros.org/derived_object_msgs
Standards-Version: 3.9.2

Package: ros-humble-derived-object-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-rosidl-default-runtime, ros-humble-shape-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Abstracted Messages from Perception Modalities

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-derived-object-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
